Retrieve staker nodes for a LAT
curl --request GET \
--url https://api.area.club/lat/{address}/staker-nodesimport requests
url = "https://api.area.club/lat/{address}/staker-nodes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.area.club/lat/{address}/staker-nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "0x94a2a0548681fda8d5e2ad5a8eeecd891e02a613",
"maxNodes": 10,
"stakerNodes": [
{
"address": "0x726b7b686745805a5941cc39aa761eca2f570a79",
"nodeId": 0,
"operatorDelegation": "0x5accc90436492f24e6af278569691e2c942a676d",
"liquidTokenAddress": "0xfd186d28c03a2847eaa9365847547466166d706b",
"createdAtBlock": 22043696,
"createdAt": "2025-03-14T07:41:47.000Z",
"updatedAtBlock": 22043699,
"updatedAt": "2025-03-14T07:41:50.000Z",
"assets": [
{
"nodeAddress": "0x726b7b686745805a5941cc39aa761eca2f570a79",
"asset": "0xae7ab96520de3a18e5e111b5eaab095312d7fe84",
"strategy": "0x93c4b944D05dfe6df7645A86cd2206016c51564D",
"stakedAmount": "7500000000000000000",
"eigenLayerShares": "7071856349086192297"
}
]
}
]
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}LAT Data API
Retrieve staker nodes for a LAT
Returns all staker nodes associated with a specific LAT address
GET
/
lat
/
{address}
/
staker-nodes
Retrieve staker nodes for a LAT
Path Parameters
LAT contract address (proxy)
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x94a2a0548681fda8d5e2ad5a8eeecd891e02a613"
Response
Staker Nodes for the specified LAT
⌘I